Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000404Core InformActivitiespublic2010-11-10 18:562011-01-10 11:15
Reporterektemple 
Assigned Tograham 
PrioritynormalSeveritycriticalReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSWindowsOS Version7
Product Version6F95 
Target VersionFixed in Version6G60 
Summary0000404: Attempting to use a description in deciding the scope activity results in abject failure
DescriptionUsing a description rather than a single object in the deciding the scope of activity causes compilation to fail.

Only a single object is allowed as a parameter for the activity (according to Chapter 17), but Inform should handle the situation more gracefully.
Minimal Source Text To Reproduce
Test is a room.

After deciding the scope of the player:
	place everything in scope.
	
TagsNo tags attached.
Effect(critical) Compiler reports internal error
Attached Files

- Relationships
has duplicate 0000455closedgraham Weird problem 
has duplicate 0000458closedjmcgrew internal error has occurred while trying to compile 

-  Notes
(0000808)
jmcgrew (administrator)
2010-11-10 19:10

Problem. An internal error has occurred: tried to find instance inside SP of wrong type. The current sentence is 'place everything in scope' ; the error was detected at line 1270 of "Chapter 2/Memory.w". This should never happen, and I am now halting in abject failure.
(0000849)
graham (administrator)
2010-11-21 08:58

It was, annoyingly, crashing in the process of producing a problem message. Fixed.

- Issue History
Date Modified Username Field Change
2010-11-10 18:56 ektemple New Issue
2010-11-10 19:10 jmcgrew Effect (cosmetic) Error message is badly worded => (critical) Compiler reports internal error
2010-11-10 19:10 jmcgrew Note Added: 0000808
2010-11-10 19:10 jmcgrew Severity cosmetic => critical
2010-11-10 19:10 jmcgrew Status new => confirmed
2010-11-10 19:10 jmcgrew OS => Windows
2010-11-10 19:10 jmcgrew OS Version => 7
2010-11-10 19:10 jmcgrew Platform => x86
2010-11-10 19:10 jmcgrew Product Version => 6F95
2010-11-21 08:58 graham Note Added: 0000849
2010-11-21 08:58 graham Status confirmed => resolved
2010-11-21 08:58 graham Resolution open => fixed
2010-11-21 08:58 graham Assigned To => graham
2010-12-05 11:53 jmcgrew Relationship added has duplicate 0000455
2010-12-07 17:34 jmcgrew Relationship added has duplicate 0000458
2010-12-23 17:37 jmcgrew Fixed in Version => 6G60
2011-01-10 11:15 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker